summaryrefslogtreecommitdiffstats
path: root/package/dbus/S30dbus
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2008-03-04 12:19:13 +0000
committerPeter Korsgaard <jacmet@sunsite.dk>2008-03-04 12:19:13 +0000
commitf26f26fb62ac232d2c09f88f0879676c9e5b07d3 (patch)
treecbba3d9fa1f2f418f13207d15b8332fcd327d598 /package/dbus/S30dbus
parent82edf5a9c1db636924d14f05cdf410cb715eddae (diff)
downloadbuildroot-novena-f26f26fb62ac232d2c09f88f0879676c9e5b07d3.tar.gz
buildroot-novena-f26f26fb62ac232d2c09f88f0879676c9e5b07d3.zip
dbus: start earlier
Start dbus early enough so other services can use it (E.G. avahi).
Diffstat (limited to 'package/dbus/S30dbus')
-rwxr-xr-xpackage/dbus/S30dbus77
1 files changed, 77 insertions, 0 deletions
diff --git a/package/dbus/S30dbus b/package/dbus/S30dbus
new file mode 100755
index 000000000..3b1044bff
--- /dev/null
+++ b/package/dbus/S30dbus
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# messagebus: The D-BUS systemwide message bus
+#
+# chkconfig: 345 97 03
+# description: This is a daemon which broadcasts notifications of system events \
+# and other messages. See http://www.freedesktop.org/software/dbus/
+#
+# processname: dbus-daemon
+# pidfile: /var/run/messagebus.pid
+#
+
+# Sanity checks.
+[ -x /usr/bin/dbus-daemon ] || exit 0
+
+# Create needed directories.
+[ -d /var/run/dbus ] || mkdir -p /var/run/dbus
+[ -d /var/lock/subsys ] || mkdir -p /var/lock/subsys
+
+RETVAL=0
+
+start() {
+ echo -n "Starting system message bus: "
+
+ dbus-uuidgen --ensure
+ dbus-daemon --system
+ RETVAL=$?
+ echo "done"
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dbus-daemon
+}
+
+stop() {
+ echo -n "Stopping system message bus: "
+
+ ## we don't want to kill all the per-user $processname, we want
+ ## to use the pid file *only*; because we use the fake nonexistent
+ ## program name "$servicename" that should be safe-ish
+ killall dbus-daemon
+ RETVAL=$?
+ echo "done"
+ if [ $RETVAL -eq 0 ]; then
+ rm -f /var/lock/subsys/dbus-daemon
+ rm -f /var/run/messagebus.pid
+ fi
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status $processname
+ RETVAL=$?
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ condrestart)
+ if [ -f /var/lock/subsys/$servicename ]; then
+ stop
+ start
+ fi
+ ;;
+ reload)
+ echo "Message bus can't reload its configuration, you have to restart it"
+ RETVAL=$?
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
+ ;;
+esac
+exit $RETVAL